<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.jobs.impl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.jobs.impl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/mapper/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.jobs.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/DeleteAuditLogsJob.html" title="class in io.mosip.registration.jobs.impl">DeleteAuditLogsJob</a></td>
<td class="colLast">
<div class="block">This is a job to delete audit logs</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/JobManagerImpl.html" title="class in io.mosip.registration.jobs.impl">JobManagerImpl</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../io/mosip/registration/jobs/JobManager.html" title="interface in io.mosip.registration.jobs"><code>JobManager</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/KeyPolicySyncJob.html" title="class in io.mosip.registration.jobs.impl">KeyPolicySyncJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the packet status</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/MasterSyncJob.html" title="class in io.mosip.registration.jobs.impl">MasterSyncJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the master data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/PacketSyncStatusJob.html" title="class in io.mosip.registration.jobs.impl">PacketSyncStatusJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the packet status</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/PreRegistrationDataSyncJob.html" title="class in io.mosip.registration.jobs.impl">PreRegistrationDataSyncJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the pre registrations</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/PreRegistrationPacketDeletionJob.html" title="class in io.mosip.registration.jobs.impl">PreRegistrationPacketDeletionJob</a></td>
<td class="colLast">
<div class="block">Delete the Pre-Registration Packets Based on the appointment date</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationDeletionJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationDeletionJob</a></td>
<td class="colLast">
<div class="block">This is a job to delete the registration packets</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketSyncJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationPacketSyncJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the packet status</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationPacketVirusScanJob</a></td>
<td class="colLast">
<div class="block">This is a job to scan the Registration packets for viruses</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/RegUserMappingSyncJob.html" title="class in io.mosip.registration.jobs.impl">RegUserMappingSyncJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the user mapping</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/SynchConfigDataJob.html" title="class in io.mosip.registration.jobs.impl">SynchConfigDataJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the config data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html" title="class in io.mosip.registration.jobs.impl">SyncManagerImpl</a></td>
<td class="colLast">
<div class="block">This class includes the functionalities of what transaction table needed.,
 like getting job details and preparation of sync transaction data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/jobs/impl/UserDetailServiceJob.html" title="class in io.mosip.registration.jobs.impl">UserDetailServiceJob</a></td>
<td class="colLast">
<div class="block">This is a job to sync the user detail data</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/mapper/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
